package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.report.QualityAnalyseReportBean;
import com.qmth.sop.business.entity.TBService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 质量监控分析报表mapper
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
public interface QualityAnalyseReportMapper extends BaseMapper<TBService> {

    /**
     * 大区质量问题统计
     *
     * @param serviceId
     * @return
     */
    List<QualityAnalyseReportBean> areaQualityReport(@Param("serviceId") Long serviceId);

    /**
     * 人力商质量问题统计
     *
     * @param serviceId
     * @return
     */
    List<QualityAnalyseReportBean> humanSupplierQualityReport(@Param("serviceId") Long serviceId);

    /**
     * 质量问题原因分类统计
     *
     * @param serviceId
     * @return
     */
    List<QualityAnalyseReportBean> reasonQualityReport(@Param("serviceId") Long serviceId);
}
